package ru.yandex.wmconsole.data.info;

import ru.yandex.wmconsole.data.SeverityEnum;

/**
 * Created by IntelliJ IDEA.
* User: senin
* Date: 22.03.2007
* Time: 15:47:26
*/
public class UrlErrorsWithCodeInfo {
    private final int code;
    private final int count;
    private final SeverityEnum severity;
    private final Integer trend;

    public UrlErrorsWithCodeInfo(int code, int count, SeverityEnum severity, Integer trend) {
        this.code = code;
        this.count = count;
        this.severity = severity;
        this.trend = trend;
    }

    public int getCode() {
        return code;
    }

    public int getCount() {
        return count;
    }

    public SeverityEnum getSeverity() {
        return severity;
    }

    public Integer getTrend() {
        return trend;
    }
}
